## kdesrc-build 1.14.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6) # Pretty much nothing works without this
project(kdesrc-build)

find_package(KDE4) # Needed for the docs, but optional.

if (KDE4_FOUND)
  include(KDE4Defaults)
  include(MacroLibrary)
  macro_optional_add_subdirectory(doc)
else()
   set(DATA_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/apps" CACHE PATH "The parent directory where applications can install their data")
   set(BIN_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/bin"  CACHE PATH "The install dir for executables")
endif()

install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/kdesrc-build DESTINATION ${BIN_INSTALL_DIR})
install(PROGRAMS ${CMAKE_CURRENT_SOURCE_DIR}/kdesrc-build-setup DESTINATION ${BIN_INSTALL_DIR})
install(FILES kdesrc-buildrc.xml DESTINATION ${DATA_INSTALL_DIR}/katepart/syntax)

## kdesrc-build 1.13

=== debian/changelog ===
kdesrc-build (1.13-1) unstable; urgency=low

  * New upstream release.
  * Depend on libxml-parser-perl and libwww-perl, used by kdesrc-build.
    Also, build-depend on them, so we can run the test suite.
  * Recommend git, subversion, gcc, g++, cmake, make.
  * Update copyright.
  * Run the test suite during the build, relocating the $HOME for it in
    a subdirectory of the sources.
  * Drop versioned depend on perl >= 5.8.0, ${perl:Depends} is enough.

 -- Pino Toscano <pino@kde.org>  Tue, 01 Mar 2011 10:36:10 +0100

kdesrc-build (1.12.1-1) unstable; urgency=low

  * Initial release.

 -- Pino Toscano <pino@kde.org>  Sat, 26 Feb 2011 12:13:42 +0100

=== debian/control ===
Source: kdesrc-build
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@kde.org>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
 cmake, kdelibs5-dev (>= 4:4.2.2),
 libxml-parser-perl, libwww-perl
Standards-Version: 3.9.1
Homepage: http://kdesrc-build.kde.org/
Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdesrc-build.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdesrc-build.git
DM-Upload-Allowed: yes

Package: kdesrc-build
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 libxml-parser-perl, libwww-perl
Recommends: git, subversion, gcc, g++, cmake, make
Description: tool for building KDE from its source repositories
 kdesrc-build provides an easy way to build KDE, downloading the development
 version from the repositories and compiling it.
 .
 It was previously known as kdesvn-build, and part of the KDE Software
 Development Kit module.

## kdesrc-build 1.14.1

=== debian/changelog ===
kdesrc-build (1.14.1-1) unstable; urgency=low

  * New upstream release.
  * Switch copyright to DEP5, and make it a bit more precise on licenses
    (thanks also to the work done by upstream!)

 -- Pino Toscano <pino@debian.org>  Thu, 22 Sep 2011 09:53:18 +0200

kdesrc-build (1.14-1) unstable; urgency=low

  * New upstream release.
  * Drop patch build-system.diff, upstream now ships also the cmake build
    system.
  * Small copyright update.
  * Switch to my @debian.org address, I'm a DD now.
  * Remove "DM-Upload-Allowed: yes" from control, no more needed now.
  * Bump Standards-Version to 3.9.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Sep 2011 12:22:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,14 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@kde.org>
+Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
  cmake, kdelibs5-dev (>= 4:4.2.2),
  libxml-parser-perl, libwww-perl
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://kdesrc-build.kde.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdesrc-build.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdesrc-build.git
-DM-Upload-Allowed: yes
 
 Package: kdesrc-build
 Architecture: all

=== debian/watch ===
version=3

http://kdesrc-build.kde.org/releases/ kdesrc-build-(.*).tar.bz2

## kdesrc-build 1.15.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
   include(MacroLibrary)
   macro_optional_add_subdirectory(doc)
 else()
-   set(DATA_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/apps" CACHE PATH "The parent directory where applications can install their data")
+   set(DATA_INSTALL_DIR  "${CMAKE_INSTALL_PREFIX}/share/apps" CACHE PATH "The parent directory where applications can install their data")
    set(BIN_INSTALL_DIR   "${CMAKE_INSTALL_PREFIX}/bin"  CACHE PATH "The install dir for executables")
 endif()

=== doc/CMakeLists.txt ===
########### install files ###############
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kdesrc-build)
kde4_create_manpage(man-kdesrc-build.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})
kde4_create_manpage(man-kdesrc-build-setup.1.docbook 1 INSTALL_DESTINATION ${MAN_INSTALL_DIR})

install(PROGRAMS kdesrc-build.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== debian/changelog ===
kdesrc-build (1.15.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Dominic Hargreaves ]
  * Fix kdesrc-build-test.pl to work without '.' in @INC
    Closes: #834731

 -- gregor herrmann <gregoa@debian.org>  Wed, 31 Aug 2016 21:43:59 +0200

kdesrc-build (1.15.1-1) unstable; urgency=low

  * New upstream release.
  * Update watch file to point to ftp.kde.org and to consider xz tarballs.

 -- Pino Toscano <pino@debian.org>  Fri, 25 May 2012 12:51:27 +0200

kdesrc-build (1.15-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Update copyright, and switch it to copyright-format v1.0.
  * Suggest bzr (since bzr repositories are now supported).
  * Recommend dialog (needed by kdesrc-build-setup).

 -- Pino Toscano <pino@debian.org>  Sun, 06 May 2012 19:13:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5),
  cmake, kdelibs5-dev (>= 4:4.2.2),
  libxml-parser-perl, libwww-perl
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kdesrc-build.kde.org/
 Vcs-Git: git://git.debian.org/pkg-kde/kde-std/kdesrc-build.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-std/kdesrc-build.git
@@ -15,7 +15,8 @@
 Architecture: all
 Depends: ${misc:Depends}, ${perl:Depends},
  libxml-parser-perl, libwww-perl
-Recommends: git, subversion, gcc, g++, cmake, make
+Recommends: git, subversion, gcc, g++, cmake, make, dialog
+Suggests: bzr
 Description: tool for building KDE from its source repositories
  kdesrc-build provides an easy way to build KDE, downloading the development
  version from the repositories and compiling it.

=== debian/rules ===
#!/usr/bin/make -f

TESTS_TMPDIR := $(CURDIR)/home_tests

%:
	dh $@ --with kde

override_dh_auto_test:
	rm -rf $(TESTS_TMPDIR)
	mkdir -p $(TESTS_TMPDIR)
	HOME=$(TESTS_TMPDIR) perl kdesrc-build-test.pl

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(TESTS_TMPDIR)

=== debian/watch ===
version=3

ftp://ftp.kde.org/pub/kde/stable/kdesrc-build/([\d.]+)/src/kdesrc-build-([\d.]+).tar.(?:bz2|xz)
